{#
/**
 * @file
 *
 * 'Where to buy' popup on product page.
 *
 * Available variables:
 * - where_buy_items: List of 'Where to buy' items that we receive from API response.
 *
 * @see \Drupal\rg_product\Controller\WhereToBuyController::whereToBuy()
 *
 * @ingroup themeable
 */
#}

<div class="product-where-buy-popup-wrapper">
    <div class="product-where-buy-popup-overlay">
        <div class="product-where-buy-popup-block">
            <h4 class="where-buy-popup-title">Where to Buy</h4>
            <div class="product-where-buy-popup-close">
                <a href="/product-where-buy-close" class="use-ajax product-where-buy-popup-close-link">
                    <span class="product-where-buy-popup-close-button">×</span>
                </a>
            </div>
            <div class="product-where-buy-popup-content">
                <ul class="where-buy-items-list">
                    {% for where_buy_item in where_buy_items %}
                        <li>
                            <a target="_blank" rel="noopener nofollow" href="{{ where_buy_item.NavigateUrl }}" class="where-buy-item-link">
                                <img src="{{ where_buy_item.MerchantLogoUrl }}" alt="{{ where_buy_item.ProductName }}">
                                <span class="where-buy-item-text">Buy now</span>
                            </a>
                        </li>
                    {% endfor %}
                </ul>
            </div>
            <div class="where-buy-alternative-link">
                <a class="button" href="/store-locator">Alternatively find your local retailer ></a>
            </div>
        </div>
    </div>
</div>